Can't get plugins to work with vundle

This page summarizes the projects mentioned and recommended in the original post on reddit.com/r/vim

Our great sponsors
  • SonarLint - Clean code begins in your IDE with SonarLint
  • Scout APM - Truly a developer’s best friend
  • Zigi - The context switching struggle is real
  • InfluxDB - Build time-series-based applications quickly and at scale.
  • ale

    Check syntax in Vim asynchronously and fix files, with Language Server Protocol (LSP) support

    I have just started using vim and already really like it. As I mainly want to use it for Python, I was trying to set up some relevant plugins (so far ale) using vundle. I have cloned the Vundle and ale folder into ~/.vim/bundle. But when I run :Pluginstall in my .vimrc get the errors:

  • vundle

    Vundle, the plug-in manager for Vim

    I have just started using vim and already really like it. As I mainly want to use it for Python, I was trying to set up some relevant plugins (so far ale) using vundle. I have cloned the Vundle and ale folder into ~/.vim/bundle. But when I run :Pluginstall in my .vimrc get the errors:

  • SonarLint

    Clean code begins in your IDE with SonarLint. Up your coding game and discover issues early. SonarLint is a free plugin that helps you find & fix bugs and security issues from the moment you start writing code. Install from your favorite IDE marketplace today.

  • vim-plug

    :hibiscus: Minimalist Vim Plugin Manager

    Vundle is quite outdated, I don't know why author of the guide would still suggest it in 2022; first try to use vim-plug or :h packadd instead as there is a better chance those will just work.

NOTE: The number of mentions on this list indicates mentions on common posts plus user suggested alternatives. Hence, a higher number means a more popular project.

Suggest a related project

Related posts